Search documentation of ash

# Ash.Resource.Calculation.Argument (ash v3.4.71)

View Source

An argument to a calculation

# Summary

## Types

t()

## Functions

schema()

# Types

# t()

    @type t() :: %Ash.Resource.Calculation.Argument{
      allow_expr?: boolean(),
      allow_nil?: boolean(),
      constraints: keyword(),
      default: any(),
      name: atom(),
      type: Ash.Type.t()
    }

# Functions

# schema()